# Struct ethcore_util::stats::Histogram [−] [src]

    pub struct Histogram {
        pub bucket_bounds: Vec<U256>,
        pub counts: Vec<u64>,
    }

Discretised histogram.

## Fields

`bucket_bounds: Vec<U256>`

Bounds of each bucket.

`counts: Vec<u64>`

Count within each bucket.

## Methods

### `impl Histogram`
[src]

#### `fn new(corpus: &[U256], bucket_number: usize) -> Option<Histogram>`

Histogram of a sorted corpus if it at least spans the buckets. Bounds are left closed.

## Trait Implementations

### `impl Debug for Histogram`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl PartialEq for Histogram`
[src]

#### `fn eq(&self, __arg_0: &Histogram) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &Histogram) -> bool`

This method tests for `!=`.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)